Get all courses
Returns a paginated list of all courses
- Type: integerlimitmin:1max:100
Maximum number of items to return
- Type: integeroffsetmin:0
Number of items to skip
- Type: stringsort
Field to sort by
- Type: stringenumorder
By Sort direction
values- A
S C - D
E S C
- Type: stringfields
Comma-separated list of fields to include in the response. Available fields: sourcedId, status, dateLastModified, username, enabledUser, givenName, familyName, middleName, email, phone, sms, identifier, roles, grades, agents, userIds, userMasterIdentifier, preferredFirstName, preferredMiddleName, preferredLastName, primaryOrg.sourcedId, primaryOrg.type, userProfiles, userProfiles.profileId, userProfiles.profileType, userProfiles.vendorId, userProfiles.applicationId
- Type: stringenumumbrella
Filter by whether a course spans multiple grade levels.
truereturns only umbrella (multi-grade) courses;falsereturns only single-grade (or grade-less) courses. Omit to return both.values- true
- false
- application/json
- application/json
- application/json
curl 'https://platform.dev.timeback.com/rostering/1.0/courses?limit=10&offset=0&sort=&orderBy=ASC&fields=&umbrella=true' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"courses": [
{
"sourcedId": "string",
"status": "active",
"dateLastModified": "2026-06-06T11:42:48.764Z",
"metadata": null,
"title": "string",
"courseCode": "string",
"grades": [
"string"
],
"subjects": [
"string"
],
"subjectCodes": [
"string"
],
"isUmbrella": true,
"resources": [
{
"href": "https://example.com",
"sourcedId": "string",
"type": "academicSession"
}
],
"org": {
"href": "https://example.com",
"sourcedId": "string",
"type": "academicSession"
},
"schoolYear": {
"href": "https://example.com",
"sourcedId": "string",
"type": "academicSession"
}
}
],
"offset": 1,
"limit": 1,
"total": 1
}